%define		pkg	npmlog
Summary:	logger for npm
Name:		nodejs-%{pkg}
Version:	0.0.2
Release:	1
License:	MIT
Group:		Development/Libraries
URL:		https://github.com/isaacs/npmlog
Source0:	http://registry.npmjs.org/%{pkg}/-/%{pkg}-%{version}.tgz
# Source0-md5:	bcda69b411c0d821a61bf1567772d04a
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
Requires:	nodejs-ansi
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
logger for npm.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{nodejs_libdir}/%{pkg}}
cp -a package.json log.js $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a example.js $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%{nodejs_libdir}/%{pkg}
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu Apr 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-npmlog.git;a=log;h=master

* Mon Dec 03 2012 Aria Stewart <aredridel@nbtsc.org> 2e634a8
Simplify spec file

* Sun Dec 02 2012 Aria Stewart <aredridel@nbtsc.org> 090ee64
Paramterize package name in url

* Sun Dec 02 2012 Aria Stewart <aredridel@nbtsc.org> 4e312f6
Parameterize version

* Sun Dec 02 2012 Aria Stewart <aredridel@nbtsc.org> 833f279
Fix URL

* Sun Dec 02 2012 Aria Stewart <aredridel@nbtsc.org> 411d158
Fix docs and dependencies

* Sun Dec 02 2012 Aria Stewart <aredridel@nbtsc.org> 59aa169
Initial commit

